#
# spec file for package kshisen
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%bcond_without lang

Name:           kshisen
Version:        17.04.1
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Shisen-Sho Mahjongg-like game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Other
Url:            http://www.kde.org
Source0:        kshisen-%{version}.tar.xz
# PATCH-FIX-OPENSUSE cpp14.patch fabian@ritter-vogt.de Use only c++11 features
Patch1:         cpp14.patch
BuildRequires:  extra-cmake-modules
BuildRequires:  kconfig-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  libkdegames-devel
BuildRequires:  libkmahjongg-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Shisen-Sho (KShishen) is a game similar to Mahjongg. The object of the
game is to remove all tiles from the field. This is done by removing
two tiles with of the same type until no tile is left.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n kshisen-%{version}
%patch1 -p1

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
    %kf5_find_htmldocs
  %endif
  %suse_update_desktop_file -r org.kde.kshisen          Game BoardGame

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kf5_bindir}/kshisen
%{_kf5_htmldir}/en/kshisen/
%{_kf5_applicationsdir}/org.kde.kshisen.desktop
%{_kf5_iconsdir}/hicolor/*/apps/kshisen.*
%{_kf5_configkcfgdir}/
%{_kf5_sharedir}/sounds/kshisen/
%{_kf5_kxmlguidir}/
%{_kf5_appstreamdir}/org.kde.kshisen.appdata.xml
%dir %{_kf5_appstreamdir}

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
